Debian Bug report logs - #353475
/usr/share/man/man2/wait3.2.gz: should point to clock man pages

version graph

Package: manpages-dev; Maintainer for manpages-dev is Martin Schulze <joey@debian.org>; Source for manpages-dev is src:manpages.

Reported by: Bernd Eckenfels <ecki@debian.org>

Date: Sat, 18 Feb 2006 20:48:04 UTC

Severity: wishlist

Tags: fixed-upstream

Found in version manpages-dev/1.70-1

Fixed in version manpages/3.09-1

Done: Joey Schulze <joey@infodrom.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#353475; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to Bernd Eckenfels <ecki@debian.org>:
New Bug report received and forwarded. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Bernd Eckenfels <ecki@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: /usr/share/man/man2/wait3.2.gz: should point to clock man pages
Date: Sat, 18 Feb 2006 21:38:15 +0100
Package: manpages-dev
Version: 1.70-1
Severity: wishlist
File: /usr/share/man/man2/wait3.2.gz

it would be good if wait3(2) and wait4(2) points to clock(3) and
clock_gettime(3) Also clock(3) should point to the clock_ man pages. Also
getrusage(2) should point to clock(3) and clock_gettime(3)

Gruss
Bernd

-- System Information:
Debian Release: 3.1
Architecture: i386 (i686)
Kernel: Linux 2.6.13.4
Locale: LANG=C, LC_CTYPE=en_US.ISO-8859-15 (charmap=ISO-8859-15)

Versions of packages manpages-dev depends on:
ii  manpages                      1.70-1     Manual pages about using a GNU/Lin

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#353475; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to "Michael Kerrisk" <mtk-manpages@gmx.net>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #10 received at 353475@bugs.debian.org (full text, mbox):

From: "Michael Kerrisk" <mtk-manpages@gmx.net>
To: Bernd Eckenfels <ecki@debian.org>,353475@bugs.debian.org
Subject: Re: Bug#353475: /usr/share/man/man2/wait3.2.gz: should point to clock man pages
Date: Sun, 26 Feb 2006 03:52:41 +0100 (MET)
Hello Bernd,

> it would be good if wait3(2) and wait4(2) points to clock(3) and
> clock_gettime(3) 

Why?

> Also clock(3) should point to the clock_ man pages. 

Perhaps.

> Also
> getrusage(2) should point to clock(3) and clock_gettime(3)

Why?

Cheers,

Michael

-- 
Michael Kerrisk
maintainer of Linux man pages Sections 2, 3, 4, 5, and 7 

Want to help with man page maintenance?  
Grab the latest tarball at
ftp://ftp.win.tue.nl/pub/linux-local/manpages/, 
read the HOWTOHELP file and grep the source 
files for 'FIXME'.



Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#353475; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to Bernd Eckenfels <be-mail2006@lina.inka.de>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #15 received at 353475@bugs.debian.org (full text, mbox):

From: Bernd Eckenfels <be-mail2006@lina.inka.de>
To: Michael Kerrisk <mtk-manpages@gmx.net>
Cc: 353475@bugs.debian.org
Subject: Re: Bug#353475: /usr/share/man/man2/wait3.2.gz: should point to clock man pages
Date: Sun, 26 Feb 2006 04:18:22 +0100
On Sun, Feb 26, 2006 at 03:52:41AM +0100, Michael Kerrisk wrote:
> > it would be good if wait3(2) and wait4(2) points to clock(3) and
> > clock_gettime(3) 
> 
> Why?
> 
> > Also
> > getrusage(2) should point to clock(3) and clock_gettime(3)
> 
> Why?

Because those are alternative ways to get to accounting data. I think if
somebody knows the traditional interface like wait3(2) and time(1) she might
want to know about the other posix possibilities to get to that data (not
after the fact). At least I had this situation that I was looking up time
and its background and did not get a pointer to the clock_ familiy.

Gruss
Bernd



Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#353475; Package manpages-dev. Full text and rfc822 format available.

Acknowledgement sent to Michael Kerrisk <mtk.manpages@googlemail.com>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #20 received at 353475@bugs.debian.org (full text, mbox):

From: Michael Kerrisk <mtk.manpages@googlemail.com>
To: Bernd Eckenfels <be-mail2006@lina.inka.de>
Cc: 353475@bugs.debian.org, debc <control@bugs.debian.org>
Subject: Re: Bug#353475: /usr/share/man/man2/wait3.2.gz: should point to clock man pages
Date: Sun, 31 Aug 2008 06:49:35 +0200
tags 353475 fixed-upstream
thanks

Bernd Eckenfels wrote:
> On Sun, Feb 26, 2006 at 03:52:41AM +0100, Michael Kerrisk wrote:
>>> it would be good if wait3(2) and wait4(2) points to clock(3) and
>>> clock_gettime(3) 
>> Why?

I haven't changed this -- I think that the fact that wait4(2) references
getrusage(2) is enough.

>>> Also
>>> getrusage(2) should point to clock(3) and clock_gettime(3)
>> Why?

I have made this change.

Also:

> Also clock(3) should point to the clock_ man pages

I've made this change.

> Because those are alternative ways to get to accounting data. I think if
> somebody knows the traditional interface like wait3(2) and time(1) she might
> want to know about the other posix possibilities to get to that data (not
> after the fact). At least I had this situation that I was looking up time
> and its background and did not get a pointer to the clock_ familiy.

Well, in clock(3) and getrusage(2) you do now.  As noted above, I think the
existing reference to getrusage(2) in wait4(2) suffices (otherwise the SEE
ALSO list has the potential to expand to include every age that is even
vaguely related to a topic, which renders it useless).

The changes are made in man-pages-3.09.

Cheers,

Michael


-- 
Michael Kerrisk
Linux man-pages maintainer; http://www.kernel.org/doc/man-pages/
man-pages online: http://www.kernel.org/doc/man-pages/online_pages.html
Found a bug? http://www.kernel.org/doc/man-pages/reporting_bugs.html





Tags added: fixed-upstream Request was from Michael Kerrisk <mtk.manpages@googlemail.com> to control@bugs.debian.org. (Sun, 31 Aug 2008 04:57:05 GMT) Full text and rfc822 format available.

Reply sent to Joey Schulze <joey@infodrom.org>:
You have taken responsibility. (Sun, 16 Nov 2008 17:03:08 GMT) Full text and rfc822 format available.

Notification sent to Bernd Eckenfels <ecki@debian.org>:
Bug acknowledged by developer. (Sun, 16 Nov 2008 17:03:09 GMT) Full text and rfc822 format available.

Message #27 received at 353475-close@bugs.debian.org (full text, mbox):

From: Joey Schulze <joey@infodrom.org>
To: 353475-close@bugs.debian.org
Subject: Bug#353475: fixed in manpages 3.09-1
Date: Sun, 16 Nov 2008 16:33:38 +0000
Source: manpages
Source-Version: 3.09-1

We believe that the bug you reported is fixed in the latest version of
manpages, which is due to be installed in the Debian FTP archive:

manpages-dev_3.09-1_all.deb
  to pool/main/m/manpages/manpages-dev_3.09-1_all.deb
manpages_3.09-1.diff.gz
  to pool/main/m/manpages/manpages_3.09-1.diff.gz
manpages_3.09-1.dsc
  to pool/main/m/manpages/manpages_3.09-1.dsc
manpages_3.09-1_all.deb
  to pool/main/m/manpages/manpages_3.09-1_all.deb
manpages_3.09.orig.tar.gz
  to pool/main/m/manpages/manpages_3.09.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 353475@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Joey Schulze <joey@infodrom.org> (supplier of updated manpages package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 16 Nov 2008 17:01:16 +0100
Source: manpages
Binary: manpages manpages-dev
Architecture: source all
Version: 3.09-1
Distribution: unstable
Urgency: low
Maintainer: Martin Schulze <joey@debian.org>
Changed-By: Joey Schulze <joey@infodrom.org>
Description: 
 manpages   - Manual pages about using a GNU/Linux system
 manpages-dev - Manual pages about using GNU/Linux for development
Closes: 353475 462969
Changes: 
 manpages (3.09-1) unstable; urgency=low
 .
   * New upstream version
     . Improve SEE ALSO in getrusage(2) and clock(3) (closes: Bug#353475)
     . Remove wrong sentence in proc(5) (closes: Bug#462969)
Checksums-Sha1: 
 31a7591b7826ba3e6af9025f6cda0845b31cdbd8 964 manpages_3.09-1.dsc
 46a69b2282cb4f2008c0616406ef7700eb1e07d1 1447597 manpages_3.09.orig.tar.gz
 983103a19a6bd17157af5c926befa0c95dd10ca0 46965 manpages_3.09-1.diff.gz
 4625787be6d0e69f775bf80784f8e1ee9e2f12dd 631266 manpages_3.09-1_all.deb
 23620b955a0f2d0b5a9ecafd2f5a8b47e74a2688 1489482 manpages-dev_3.09-1_all.deb
Checksums-Sha256: 
 a4489b13b76b7d18c1a29b41c27cb04133fedf5415ce87ef8aee92d4012b65fb 964 manpages_3.09-1.dsc
 379f6d6aa72b9c15127cf4110c33e90414eb3e8efcc0fa0023fe074e72509255 1447597 manpages_3.09.orig.tar.gz
 51c877c4461ba52f49c75b987261a44fb633d47da45db85b4c206239be9ad728 46965 manpages_3.09-1.diff.gz
 1a146a0ca3f21f689dd4e27c6032ef42127e68e48965c63dbbaa325d28a3896c 631266 manpages_3.09-1_all.deb
 8d03c5e162640c1b4b76af8662dc58a8fcfc7a10555a971dd4abd09095c93ab5 1489482 manpages-dev_3.09-1_all.deb
Files: 
 3e90f5149183874f7947fef384811044 964 doc important manpages_3.09-1.dsc
 60812d86ba2477f81964cbb0b0651567 1447597 doc important manpages_3.09.orig.tar.gz
 1e28847580c38430c9aa6bb74afee6d4 46965 doc important manpages_3.09-1.diff.gz
 706f9d5d7d14864a7fb2a054fae09e1f 631266 doc important manpages_3.09-1_all.deb
 3ecd48012c95b68d8cf75d6ce9dd1df6 1489482 doc optional manpages-dev_3.09-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFJIEgOW5ql+IAeqTIRAiiHAJ43/5U8TbtLn1D2xc3lTPh1uNKx2QCgl67U
ezJJqcWj4T290H1oap5SoTo=
=rSog
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 15 Dec 2008 07:30:40 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 19:21:52 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.